Instalando o Java Plug-in no Mozilla

Neste artigo estarei falando sobre as vantagens de se atualizar o Java Plug-in em seu browser, o que nos permite acessar sua conta no Banco do Brasil, por exemplo ou até mesmo usar o go.icq, entre outros.

[ Hits: 37.365 ]

Por: william de melo gueiros em 17/03/2003


Introdução



A pouco tempo estive querendo instalar o go.icq na minha máquina no escritório e meu chefe estava reclamando que ele queria acessar a conta dele no Banco do Brasil e não conseguia.

Para você saber se o plugin Java está instalado ou não em seu Mozilla é simples, apenas clique no menu Help --> About plug-ins.

Lá serão listados todos os plugins que você tem instalado em seu navegador. Em nosso caso não devera aparecer na lista o Java(TM) Plug-in.

Vamos agora fazer download do plugin a partir do link para o site da Nescape.com que aparece no topo da página com a lista de plugins. O link aponta para: Para cair direto na página que lista quais plugins você já tem e deixa de ter instalado, acesse: Em nosso caso, estaremos baixando o plugin Java 1.3. Tentai instalar o 1.4, mas quando ele entra em um site como o go.icq ele fecha o navegador por algum motivo, então não o recomendo.

Baixe a versão jre1.3. Se você entrou no lugar certo você vai estar aqui: Depois que você baixar é preciso mudar os direitos do arquivo que foi baixado:

chmod 777 jre1.3.resto_do_nome

e depois:

./jre1.3.resto_do_nome

Ele irá te mostrar o contrato de uso e logo depois irá te perguntar yes or no. Escreva yes e então aparecerá um rpm. Instale-o da seguinte forma:

rpm -ivh jre1.3.resto_do_nome

Deverá então ser criado um link simbólico para o Java Plugin dentro de /usr/lib/mozilla.xxx/plugins, onde xxx é a versão do seu Mozilla.

Para descobrir a versão do seu Mozilla, digite o comando:

rpm -qa | grep mozilla

Caso o link para o arquivo libjavaplugin_oji.so não tenha sido criado, faça-o manualmente através do comando:

ln -s /usr/lib/mozilla.xxx/plugins/libjavaplugin_oji.so /usr/java/jre1.3.1_07/plugin/i386/ns600/libjavaplugin_oji.so

Tomara que este artigo tenha ajudado a todos. Qualquer coisa mail-me, se puder ajudar dou uma força.

   

Páginas do artigo
   1. Introdução
Outros artigos deste autor

Migrando de Red Hat para Debian

Executando backup do MySQL e enviando por FTP

Capturando conteúdo de sites em PHP

Leitura recomendada

EditorConfig - Padronização de código para seus projetos

Senhas seguras: algumas técnicas e script para teste

RSS - O antes e o depois já nas bancas!

Acessibilidade na Web

Instalação e configuração do LMS Moodle no Linux

  
Comentários
[1] Comentário enviado por fabio em 17/03/2003 - 10:43h

Tenho o Mozilla 1.0.1-1 rodando com o Java Plugin 1.4 sem problemas. Com o 1.4 consegui acessar o site mais complexo feito em Java que conheço, o www.parperfeito.com.br. Uso Debian. :)
Ficou massa o artigo, instalei o plugin do RealPlayer também.

[2] Comentário enviado por wilbil em 17/03/2003 - 16:19h

esta e uma boa
real player e uma coisa que sempre é util sempre precisamos nos desestrecar de vez emquando
e curtir um filme
gostamos de linux mas nao somos de aço

[3] Comentário enviado por mmateus em 01/04/2003 - 19:36h

Procedi de acordo com o que voi ensinado nesta mensagem mas não consigo acessar o Home Banking do Banco do Brasil. Uso o Suse 8.1. Quando estava utilizando o mandrake 9.0 acontecia a mesma coisa.
Alguma dica?

[4] Comentário enviado por wilbil em 02/04/2003 - 09:12h

o que esta contecendo o navegador ta fechando quando vc acessa o site?

ola ja recebi 2 emails de pessoas que nao conseguiram tambem no caso deles foram erros faceis
o que esta acontecendo e o seguinte quando fiz o artigo nao vi que o link simbolico
saio deste jeito com tanto espaco se vc criar o link sem a opcao -s ele vai fechar o navegador
ou mostrar um erro

ln -s /usr/lib/mozilla.xxx/plugins/libjavaplugin_oji.so /usr/java/jre1.3.1_07/plugin/i386/ns600/libjavaplugin_oji.so

caso seja outra coisa me informe??
no mdk que estou achando estranho pois o meu irmao adora esta distribuicao
e deu ate rizada de mim pq no dele rodou logo de cara enquanto eu tive que gerar os links descobrir onde instalar
o plug-ins

[5] Comentário enviado por mmateus em 04/04/2003 - 06:24h

Simplesmente não roda o teclado virtual do Banco do Brasil.
Ja instalei, desinstalei, fiz um monte de procedimentos.
Ontem a noite baixei o Mozilla 1.3 completo, que ja vem com o VM. S que tem um problema da distro do Suse. Você desinstala a versao antiga (1.1) para instalar a nova. Como o Suse utiliza o instalador proprio (RPM) ele não deixa instalar a versão nova. Volta para versão 1.1. Teoricamente era para rodar direto. Detalhe interessante é que o ICQ Web (go.icq.com) roda legal.

[6] Comentário enviado por wilbil em 04/04/2003 - 11:11h

olha nunca usei o suse mas vamos la tentar resolver seu problema
ja tive uns problemas destes com rpm e sempre foi com o meu mysql!!!!!
eu instalava blz depois eu queria dezistalar ele nada nao saia da maquina nem ferrando
podia dar rpm -e o pacote --force ele dizia nao instalado
eu visualizava os pacotes rpm -qa | grep mysql o marvado tava la

depois de muitos muros na minha mesa e lembrar muito da mae do cara que fez os rpms

achei !!!!
entao depois de muito sofrimento achei no rau-tu um cara que ja tinha sofrido como eu
http://www.rau-tu.unicamp.br/linux/answer.php?qid=7040&key=rpm+remover

mais uma pergunta so por este programa que vc instala os rpms ou por linha de comando tambem???

[7] Comentário enviado por mmateus em 04/04/2003 - 15:14h

Dependendo do momento, instala via gerenciador (doença do Rwindows) e em algumas situações, via linha de comando.
Ontem tentei instalar o mozilla via linha de comando; digitei rpm -i mozilla... mas nao eu nada.
como tenho algumas restrições neuronicas a respeito do Linux, pode ter acontecido alguma falha de BIOS.

[8] Comentário enviado por wilbil em 04/04/2003 - 15:31h

blz vamos la tentar novamente
seguinte digite na linha de comando do seu suse(pelo que vi o suse para instalar rpm = as outras distribuicoes)

faca o seguinte
# rpm -qa | grep mozilla

me diga que rpms retornaram?

abra o seu mozilla va para mim em help about plug-ins
me diga o que aparece la se aparece o java ou fica so com o enderecho do mozilla?
ha so para lembrar se vc tiver flash instalado corretamente ele tambem ira aparecer


qual o mozilla que vc ta querendo instalar o 1.1 ou o 1.3?
quando vc tenta instalar pelo gerenciador qual erro ele da????
e

[9] Comentário enviado por mmateus em 07/04/2003 - 00:33h

mozilla-1.0.0-10
Sockwaveflash e NPPDF - Não existe nenhuma referencia ao Java
Quero instalar o 1.3. Atualmente está instalado o 1.1.

A instalação, mesmo feita via comando, "cai" no gerenciador.
O Gerenciador não está deixando atualizar para a nova versão. Desinstalo o 1.1 e quando vou instalar o 1.3 ele simplesmente "pega" a verão anterior.

O pior é que eu tinha falado que o ICQ Java (go.icq.com) estava funcionando e não está mais.


[10] Comentário enviado por mmateus em 07/04/2003 - 02:38h

Ufa,
Consegui instalar a parafernália toda.
Foi necessário "logar" como root. o su não foi suficiente.

[11] Comentário enviado por wilbil em 07/04/2003 - 10:58h

ola para os procimos que lerem isso
e bom quando vc utilizar o comando su
use e opcao(-) pq apenas o seu nao pucha os comandos especiais do root
tipo se vc der service network restart ele nao rodara ja se vc escrever no terminal
#su -

[12] Comentário enviado por mmateus em 07/04/2003 - 14:21h

Bom,
Importante salientar que a sua ajuda foi primordial.
Valeu mesmo.
[]´s

[13] Comentário enviado por cesarcardoso em 11/04/2003 - 16:35h

Bem, o plugin do 1.4.2 beta não funciona nem com reza brava. Pior que eu queria testar a tal integração dos temas GTK com o Swing :-(

[14] Comentário enviado por wilbil em 11/04/2003 - 17:30h

nem que eu passe este fim de semana para descobrir que erro e este
ta dando na minha maquina pq eu tambem nao consigui instalar a 1.4 ele tambem
mas nem me isforcei muito pois eu queria so que o go.icq.com funcionasse
e o site do banco do brasil

mas vou instalar o 1.4 aqui na minha maquina e vou solucinar o pau
que ele deu na minha

so para saber o seu ele chegou a aparecer no help-->about plugins o java ou nao apareceu la?

quando eu fui instalar na minha ele aparecia mas fechava o navegador quando acessava o
site do go.icq fechava o navegador ele faz isso tambem com vc?????

[15] Comentário enviado por wilbil em 15/04/2003 - 19:29h

pessoal
desculpeme mas estou meio ocupado de mais
mas aguar e confie quando liberar mais tempo aqui vou mecher com isso

[16] Comentário enviado por wilbil em 15/04/2003 - 19:34h

pessoal
desculpeme mas estou meio ocupado de mais
mas aguar e confie quando liberar mais tempo aqui vou mecher com isso

[17] Comentário enviado por wilbil em 27/05/2003 - 18:57h

para quem esta apanhando com este link sinbolico que esta dizendo que o arquivo nao pode ser encontrado

inverta as bolas
ln -s /usr/java/jre1.3.1_07/plugin/i386/ns600/libjavaplugin_oji.so
/usr/lib/mozilla.xxx/plugins/libjavaplugin_oji.so

[18] Comentário enviado por staypuff em 03/04/2004 - 10:08h

Caros colegas,

Não sou avançado em Linux, estou usando o Red Hat 9 com Mozilla 1.4, não consigo criar o link de forma alguma:
a resposta que eu recebo é a seguinte:
ln -s /usr/lib/mozillaln -s /usr/lib/mozilla-1.4.2/plugins/libjavaplugin_oji.so /usr/java/jre1.3.1_07/plugin/i386/ns600/libjavaplugin_oji.so
ln: quando há vários links a serem feitos, o último argumento deve ser um diretório

será que alguém pode me ajudar um abraço!!!!!
[[email protected] /]# rpm -qa |grep mozilla
mozilla-nss-1.4.2-0.9.0
mozilla-chat-1.4.2-0.9.0
mozilla-nspr-1.4.2-0.9.0
mozilla-1.4.2-0.9.0
mozilla-mail-1.4.2-0.9.0

[19] Comentário enviado por wilbil em 03/04/2004 - 12:45h

o link fica assim

#ln -s /usr/java/jre1.3.1_07/plugin/i386/ns600/libjavaplugin_oji.so /usr/lib/mozilla-1.4.2/plugins/libjavaplugin_oji.so

ai sim estara correto se nao der certo me diga o que esta no seu about-plugins do mozilla

[20] Comentário enviado por alexx em 07/04/2004 - 21:42h

Web Paquera é um site grátis de namoro,paquera e amizade.encontre aqui seu amor fazendo buscas por localidade,sexo,idade,fotos e muito mais...!!
http://www.webpaquera.com.br

[21] Comentário enviado por eletrolise em 19/06/2004 - 21:46h

Sou novo em aprendizagem de linux e estou tentando aprender por aqui como usa-lo tenho a distribuição do Fedora core 1.Estou tendo alguns problemas com o referido artigo,fiz o que foi indicado mas aconteceu algo pois quando abro o shell,e ponho o comando ls,fica piscando em vermelho a seguinte:

libjavaplugin_oji.so

olhando pelo navegador Konqueror no arquivo root o mesmo "link" aparece na parte de baixo como link desconhecido.A pergunta é o que fazer com esse link ? Na parte que falava se este link não fosse criado automaticamente que o fizesse manualmente e foi o que fiz,porem agora ele fica piscando. Ele ficará sempre assim que nem pisca em arvore de natal? Ou devo retira-lo?

[22] Comentário enviado por wilbil em 20/06/2004 - 13:45h

seu problema e facil de resolver
remolva o link sinbolico que vc criou

crie o link sinbolico desta forma

#ln -s /usr/java/jre-xxxxx/plugin/i386/ns600/libjavaplugin_oji.so /usr/lib/mozilla-xxxxx/plugins/libjavaplugin_oji.so

pois quando fiz o artigo depois de um tempo notei o erro que o link sinbolico estava incorreto

xxxx=versao do seu jre e mozilla va partendo <tab> no terminal que ira preenchendo

qual a versao do seu mozilla?

pois na epoca que fiz o artigo estavamos no mozilla 1.4
onde que para fazermos download do jre tinhamos que ir em
help-> about plug-in e la baixarmos o jre para esta versao era o 1.3

hoje com o 1.6 temos que ir em
help -> about mozilla
do lado do logo do mozilla aparece o Mozilla 1.6 depois de clicar aparecera a versao coreta de plugin do jre que e o jre 1.4

responda a pergunta que eu fiz para dar continuidade na ajuda!!

[23] Comentário enviado por eletrolise em 20/06/2004 - 23:11h

Tá entendi que devo retirar o link simbólico, só não sei como faze-lo,a versão do Mozilla é 1.4.1 ,já o jre é: em cor verde j2re-1_3_1_12 ,em preto j2re-1_4_2_04 ,em marrom j2re-1_3_1_12. Outra coisa quando eu criar de novo o link simbólico ele tem de ter todo esse espaço entre: #ln -s /...?

[24] Comentário enviado por eletrolise em 20/06/2004 - 23:14h

Ah,já ia me esquecendo,muito obrigado mesmo pela ajuda . Espero aprender muito p/ poder ajudar algum dia.

[25] Comentário enviado por wilbil em 21/06/2004 - 09:56h

blz vamos la

retirando o link simbolico
rm /usr/lib/mozilla-xxxxx/plugins/libjavaplugin_oji.so
depois remolvemos os rpm
primeri listamos
#rpm -qa | grep j2re
ele ira aparecer os rpm instalados com este nome vc tera que achar o seu 1.3 e o 1.4 <depende o pacote que vc pegue pode ter outro nome> jre jsk

caso vc nao tenha paciencia de ficar tentando descobrir como e o nome inicial faca o seguinte
#rpm -qa | grep j | less

entao com o nome que der de retorno deste comando digite
#rpm -e <nome do pacote que retornou>

entao depois que vc dezistalar tudo vc ira instalar so uma vez o jre 1.3

agora irei lhe esplicar como funciona o link simbolico
ln este comando faz com que vc gere um link simbolico
exemplo estou fazendo um programa que fico mudando constantiment
sou preguisozo nao quero ficar copiando para /usr/bin e depois executar
para velo seu funcionamento dentro do linux nao do diretorio do desenvolvimento

opcaso -s isso faz com que o programa seja chamado no /usr/bin mas executaro no diretorio de dezenvovimento

ln <1espaco> -s <1espaco> <onde esta o arquivo> <para onde sera criado e com que nome>

e bom lembrar nao se pode criar link simbolico desta forma
ja estou dentro do diretorio

cd /usr/java/jre-xxxxx/plugin/i386/ns600/
entao eu peco so falta eu especificar direto a libjavaplugin_oji.so

ln -s libjavaplugin_oji.so /usr/lib/mozilla-xxxxx/plugins/libjavaplugin_oji.so

proto vai dar erro o link nao sera encontrado tem que ser especificado dez do barra (no inicio eu pagava maior pau com isso)

[26] Comentário enviado por brunogama em 04/07/2004 - 23:30h

Olá!!
Estou com um problema ao tentar entrar no site do bradesco... Ele nao abre o teclado em java apesar de te-lo instalado e reinstalado varias vezes... Toda vez q entro nessa pagina ele abre o installer dele, baixa e instala o java, soh que não funciona... O lugar onde teria q ter o teclado fica cinza, sem nada...
Uso O Conectiva RC3 e o Mozilla 1.6

====
rpm -qa |grep mozilla
mozilla-js-debugger-1.6-60867cl
mozilla-extension-diggler-0.6-51782cl
mozilla-devel-1.6-60867cl
mozilla-dom-inspector-1.6-60867cl
mozilla-base-1.6-60867cl
mozilla-1.6-60867cl
mozilla-psm-1.6-60867cl
mozilla-extension-tabbrowser-1.10.2004040401-62261cl
==========

O que pode estar acontecendo???
Obrigado ae pela atencao!

[27] Comentário enviado por brunogama em 04/07/2004 - 23:30h

Olá!!
Estou com um problema ao tentar entrar no site do bradesco... Ele nao abre o teclado em java apesar de te-lo instalado e reinstalado varias vezes... Toda vez q entro nessa pagina ele abre o installer dele, baixa e instala o java, soh que não funciona... O lugar onde teria q ter o teclado fica cinza, sem nada...
Já criei o link e tudo da maneira correta...
Uso O Conectiva RC3 e o Mozilla 1.6

====
rpm -qa |grep mozilla
mozilla-js-debugger-1.6-60867cl
mozilla-extension-diggler-0.6-51782cl
mozilla-devel-1.6-60867cl
mozilla-dom-inspector-1.6-60867cl
mozilla-base-1.6-60867cl
mozilla-1.6-60867cl
mozilla-psm-1.6-60867cl
mozilla-extension-tabbrowser-1.10.2004040401-62261cl
==========

O que pode estar acontecendo???
Obrigado ae pela atencao!

[28] Comentário enviado por wilbil em 05/07/2004 - 15:22h

ola brunogama

o que aqcontece e o seguinte o erro nao e na versao do seu navagador
vc apenas tem que instalar o plugins do jre do java dentro do mozilla

este meu artigo aborda direitinho isso

leia o comentario que postei aqui
(enviado por wilbil em 20/06/2004:)
deste para baixo sera muito util para vc encino qual a versao correta do jre para vc baixar para seu mozilla 1.6

o problema nao e o seu mozilla e sim a falta do plugin do jre do java
nao adianta vc ficar clicando naquela janela que aparece junto do teclado virtual e mandar instalar vc tera que fazer isso na mao como foi abordado no artigo e respondido nos comentarios

nao tem erro se vc tiver algum problema na instalacao do jre e na criacao do links simbolico

ps. nao tem erro e simples quaquer duvida posta ai

[29] Comentário enviado por eletrolise em 08/07/2004 - 01:16h

Oi,tudo bem? Olha eu tentei fazer o que vc colocou em seu artigo,mas tá difícil,quando coloquei o comando:rm /... e por aí vai,ele me retornou com essa resposta: rm: cannot lstat `/usr/lib/mozilla-1.4.1-17/plugins/libjavaplugin_oji.so': No such file or directory. E o libjavaplugin_oji.so continua piscando dentro de uma tarja vermelha.Por favor, o que aconteceu? To ficando meio loco com esses comandos.Obrigado de novo.

[30] Comentário enviado por Markinho_goioere em 02/05/2005 - 14:03h

eu tenho o mozila na minha maquina mas ele nao funciona legal será que é por que eu uso o win....?

[31] Comentário enviado por wilbil em 02/05/2005 - 14:45h

qual a versao do seu mozilla e qual problema vc esta tendo?

existem sites que usam recursos que so o IE possui entao ele aparece meuio estranho no mozilla

recomendo que vc use um navegador chamado de firefox na minha opiniao e bem superior ao mozilla é o que chega mais proximo do IE mesmo que desenvolvido pela mesma organizacao tente utilizalo e me diga se vc encontra o mesmo problema que vc tinha no mozilla

[32] Comentário enviado por gumedina em 14/05/2005 - 11:11h

E ai galera, nao consegui instala, peguei o j2r1.3.1_15, instalei, mais eu dou o comando rpm -qa |grepe mozilla nao aparece nada, crio o link, pois a versao do meu mozilla 'e 1.3 e nao vai, to usando slack 9.1

[33] Comentário enviado por alexside em 12/09/2006 - 14:23h

Boa tarde Wilbil.

Bom fiz os passos, porém coma versão 1.5.0_06, baixei direto da sun.

fiz o link porém sem sucesso. não abro a página do bb e nem o teste da pŕopia sun é executado, aparece o link para fazer download.

suse 10.1, consegui colocar o flash.
firefox 1.5
Segue:
rpm -qa |grep mozilla (resposta)
mozilla-nspr-4.6.1-20
mozilla-nss-3.11-19
mozilla-xulrunner-1.8.0.1-32

[34] Comentário enviado por fubekao em 11/03/2007 - 17:25h

Bem, quebrei a cabeça tentando instalar o Teclado virtual (Java) para acessar conta bancaria... li 1000 tutoriais, foruns.. Baixei cerca de 1 Gb so de pacotes... tentei 2000 magicas para instalar via console... mas nada resolveu. Tentei ate isso que nosso amigo falou.. mas.. nada.. o que resolveu mesmo foi so baixar os seguintes pacotes: (UBUNTU)

- j2re1.4
- j2re1.4-mozilla-plugin

pronto... nada mais a fazer... é so entrar no site do Banco do Brasil (ou outro banco que usa o Teclado virtual para entrar com senha) e pronto.

Bem, nas distros DEBIAN ou UBUNTU.. é facil instalar esses pacotes: Pode ser pelo Gerenciador de pacotes SYNAPTIC (menu: sistema/administração/gerenciador de pacotes synaptic) ou pelo Terminal console atravez do "atp-get". Ex.:

# sudo apt-get update
# sudo apt-get install j2re1.4
# sudo apt-get install j2re1.4-mozilla-plugin

Pronto. Nao precisa ficar fazendo mil coisas so para ter um teclado virtual. Tem gente que gosta de complicar... sai pra la zica...

Jeferson Ribeiro
Brasilia
(UBUNTU 6.10)

[35] Comentário enviado por wilbil em 12/03/2007 - 11:16h

fico muito feliz que hoje em dia seja tao facil de instalar

este artigo foi feito em 2003!!!

abraco


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts